Create Consignment

Adds a new *Consignment* to *Checkout*. Perform the following two steps to define the fulfillment of the items in the cart. ### For shipping consignments: 1. Add a new Consignment to Checkout. * Send a `POST` request to `/consignments` with each shipping address, line item IDs, and quantities. Each address can have its own line item IDs. * Provide a full valid customer address before placing the order. If provided, the order placement will succeed. * As part of the request URL make sure to add `include=consignments.availableShippingOptions` to return the available shipping options based on the items, the address, and the shipping location. This will return `availableShippingOptions` in the response. * Required Fields: * `shipping_address` (deprecated) or `address` * `lineItems` 2. Update the Consignment with Shipping Options using the [REST Storefront API](/developer/api-reference/rest/storefront/checkouts/consignments#update-a-consignment), the [REST Management API](/developer/api-reference/rest/admin/management/checkouts/checkout-consignments#update-checkout-consignment) or the [GraphQL Storefront API](/developer/docs/admin/checkout-and-cart/custom-checkouts/graphql-storefront). ### For pickup consignments: Create a new consignment object. - Send a `POST` request to `/consignments` with line item IDs and quantities. - Provide a `pickupMethodId`. This is the `id` of the Pickup Method provided in the response body of the Storefront Pickup Options API. - Required Fields: * `pickupOption` * `lineItems` To learn more about creating a Checkout Consignment, see the [Carts and Checkouts Tutorial](/developer/docs/admin/checkout-and-cart/custom-checkouts/rest-storefront). > #### Notes > * Substitute your storefront domain for `yourstore.example.com`. > * The Send a Test Request feature is not currently supported for this endpoint. > * Please note that this API endpoint is not concurrent safe, meaning multiple simultaneous requests could result in unexpected and inconsistent results. > * This endpoint requires using Stencil CLI, a local session, and a csrf token to work.

Path parameters

checkoutIdstringRequired

Request

This endpoint expects a list of objects.
shippingAddressobjectOptional
addressobjectOptional
lineItemslist of objectsOptional
shippingOptionIdstringOptional
pickupOptionobjectOptional
versionintegerOptional

The cart version that you expect to apply the updates. If the provided version doesn’t match the current cart version, you will receive a conflict error. This field is optional; if not provided, optimistic concurrency control will not apply.

Response

billingAddressobject
cartobject

A cart contains a collection of items, prices, discounts, etc. It does not contain customer-related data.

channelIdinteger
Channel ID.
consignmentslist of objects
couponslist of objects
Coupons applied at the checkout level.
feeslist of objects
Fees applied at the checkout level.
createdTimestring
Time when the cart was created.
customerobject
Customer details.
customerMessagestring

Shopperʼs message provided as details for the order to be created from this cart

giftCertificateslist of objects

Applied gift certificate (as a payment method).

giftWrappingCostTotaldouble
Gift wrapping cost for all items, including or excluding tax.
grandTotaldouble
The total payable amount, before applying any store credit or gift certificate.
handlingCostTotaldouble
Handling cost for all consignments including or excluding tax.
idstringformat: "uuid"
isStoreCreditAppliedboolean

true value indicates StoreCredit has been applied.

orderIdstring or null
outstandingBalancedouble

grandTotal subtract the store-credit amount

paymentslist of objects
promotionslist of objects
shippingCostBeforeDiscountdouble
Total shipping cost for the checkout before discounts are applied.
comparisonShippingCostdouble
Total shipping cost for the checkout after automatic promotions are applied.
shippingCostTotaldouble
Shipping cost before any discounts are applied.
shouldExecuteSpamCheckboolean
subtotaldouble

Subtotal of the checkout before applying item-level discounts. Tax inclusive based on the store settings.

taxeslist of objects
taxTotaldouble
updatedTimestring
Time when the cart was last updated.
versioninteger
The current version of the checkout increments with each successful update. You can use it to enable optimistic concurrency control for subsequent updates.

Errors

409
Conflict Error